VIPW(8)

NOM
vipw, vigr - éditer les fichiers passwd, group, shadow ou gshadow

SYNOPSIS

vipw [options]

vigr [options]

DESCRIPTION

Vipw et vigr permettent d'éditer les fichiers /etc/passwd et /etc/group, respectivement. Avec l'option -s, ils permettent d'éditer les versions cachées de ces fichiers : /etc/shadow et /etc/gshadow, respectivement. Ces programmes placent les verrous nécessaires afin d'éviter toute corruption des fichiers. L'éditeur utilisé est choisi d'abord en fonction de la variable d'environnement $VISUAL, puis de la variable d'environnement $EDITOR, et enfin l'éditeur par défaut, vi(1).

OPTIONS

Les options applicables aux commandes vipw et vigr sont :

-g, --group
    Éditer la base de données de groupes.

-h, --help
    Afficher un message d'aide et quitter.

-p, --passwd
    Éditer la base de données de mots de passe.

-q, --quiet
    Mode silencieux.

-s, --shadow
    Éditer les bases de données shadow ou gshadow.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

VOIR AUSSI

vi(1), group(5), gshadow(5)passwd(5), shadow(5).